CHOWN(8)

NAME
chown - change file owner and group

SYNOPSIS
chown [ -R [-H | -L | -P]] [-f] owner [:group] file ...
chown [ -R [-H | -L | -P]] [-f] :group file ...

DESCRIPTION
Chown sets the user ID and/or the group ID of the specified files.

The options are as follows:

-H  If the -R option is specified, symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)

-L  If the -R option is specified, all symbolic links are followed.

-P  If the -R option is specified, no symbolic links are followed.

-R  Change the user ID and/or the group ID for the file hierarchies rooted in the files instead of just the files themselves.

-f  Don't report any failure to change file owner or group, nor modify the exit status to reflect such failures.

Symbolic links don't have owners, so unless the -H or -L option is set, chown on a symbolic link always succeeds and has no effect. The -H, -L and -P options are ignored unless the -R option is specified. In addition, these options override each other and the command's actions are determined by the last one specified.

The owner and group operands are both optional, however, one must be specified. If the group operand is specified, it must be preceded by a colon (``:'') character.

The owner may be either a numeric user ID or a user name. If a user name is also a numeric user ID, the operand is used as a user name. The group may be either a numeric group ID or a group name. If a group name is also a numeric group ID, the operand is used as a group name.

The ownership of a file may only be altered by a super-user for obvious security reasons.

The chown utility exits 0 on success, and >0 if an error occurs.

COMPATIBILITY
Previous versions of the chown utility used the dot (``.'') character to distinguish the group name. This has been changed to be a colon (``:'') character so that user and group names may contain the dot character.

Previous versions of the chown utility changed the owner of symbolic links specified on the command line. In this system, symbolic links do not have owners.

SEE ALSO
chgrp(1), find(1), chown(2), fts(3), symlink(7)

STANDARDS
The chown command is expected to be POSIX 1003.2 compliant.